Bug 1396150 - Fix ownership of /run/suricata
Summary: Fix ownership of /run/suricata
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: suricata
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steve Grubb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-17 15:17 UTC by Jason Ish
Modified: 2017-09-26 13:05 UTC (History)
6 users (show)

Fixed In Version: suricata-3.2.1-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-22 14:51:08 UTC
Type: Bug


Attachments (Terms of Use)
Patch to fix /run/suricata ownership. (869 bytes, application/mbox)
2016-11-17 15:17 UTC, Jason Ish
no flags Details

Description Jason Ish 2016-11-17 15:17:31 UTC
Created attachment 1221593 [details]
Patch to fix /run/suricata ownership.

Description of problem:

/run/suricata is not writable by the user suricata. This will cause Suricata to fail to start if the users turns on the command socket in the default /etc/suricata/suricata.yaml.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Enable the unix-command in /etc/suricata/suricata.yaml.
2. Restart suricata.
3.

Actual results:

Suricata will fail to start with a permission error trying to write to /run/suricata/.

Comment 1 Steve Grubb 2017-02-13 14:43:26 UTC
Thanks for reporting the issue. Fixed in the suricata-3.2-1 build.

Comment 2 Fedora Update System 2017-02-13 15:03:20 UTC
suricata-3.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d118c5820e

Comment 3 Fedora Update System 2017-02-13 15:03:31 UTC
suricata-3.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-272ded2e71

Comment 4 Fedora Update System 2017-02-13 15:03:41 UTC
suricata-3.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6776778fe7

Comment 5 Fedora Update System 2017-02-13 23:19:30 UTC
suricata-3.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-272ded2e71

Comment 6 Fedora Update System 2017-02-13 23:50:09 UTC
suricata-3.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6776778fe7

Comment 7 Fedora Update System 2017-02-14 00:54:11 UTC
suricata-3.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d118c5820e

Comment 8 Fedora Update System 2017-02-16 19:35:20 UTC
suricata-3.2.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-8e1a030633

Comment 9 Fedora Update System 2017-02-17 21:18:39 UTC
suricata-3.2.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-8e1a030633

Comment 10 Fedora Update System 2017-02-22 14:51:08 UTC
suricata-3.2.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 dac.override 2017-09-26 12:28:47 UTC
this is still broken. The /usr/lib/tmpfiles.d/suricata.conf needs to reflect this change (fedora rawhide)

d /run/suricata 0755 suricata root -

Comment 12 Steve Grubb 2017-09-26 13:05:21 UTC
New build is in rawhide. Look for suricata-4.0.0-2.


Note You need to log in before you can comment on or make changes to this bug.